%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%         6.gyakorlat         %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Nemlin. din. rsz-ek alapjai %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%        2014.11.05/06        %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%     Numerikus mdszerek     %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Mandelbrot halmaz
% Paramterek:
x  =  linspace(-1.5,1.5,2500);
y  =  linspace(-1.5,1.5,2500);
len_x =  length(x);
len_y =  length(y);
iter =  100;  
xnew =  0; 
ynew =  0;
a =  0;    
b =  0;
xn =  0;   
yn =  0;
rough =  0;
c =  zeros(len_y,len_x);
zval =  zeros(len_y,len_x);
 
%%%%h_msg =  msgbox(' Please Wait ',' ');

for n=1:len_y
    c(n,:)=y(n)+i*x(:);
end

for m=1:len_x*len_y
    a = imag(c(m)); 
    b = real(c(m));
    xn = 0;   
    yn = 0;
    k = 0;
    while (k<=iter)&&((xn^2+yn^2)<4)
       xnew = xn^2 - yn^2 + a;
       ynew = 2*xn*yn + b;  
       xn = xnew;
       yn = ynew;
       k = k+1;
     end
    zval(m) = k;
end

%%%%%%%close(h_msg); 
%cmap =flipud(colormap(bone(iter)));      % szn
%colormap(cmap);
image(zval)
%%%%%%%imwrite(zval,cmap ,'mandel123.png','png') ;
