%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%         6.gyakorlat         %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Nemlin. din. rsz-ek alapjai %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%        2014.11.05/06        %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%     Numerikus mdszerek     %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Jlia halmaz
function julia
m=500;
zMax=1;         %0.5;%
c=-.297491+1i*0.641051;
N=250;
[Re,Im]=meshgrid(linspace(-zMax, zMax, m),linspace(-zMax, zMax, m));
Z=Re+1i*Im;

M=zeros(m);
for l=1:m 
    for k=1:m
        z=zeros(1, N);
        z(1, 1)=Z(k,l);
        if abs((Z(k,l)^2)+c)<=2
            a=2;
            nagyobb=0;
            while a<=N  && nagyobb==0;
                z(1,a)=(z(1,a-1)^2)+c;
                if abs(z(1,a))>2
                    nagyobb=1;
                    M(l,k)=a;
                end
                a=a+1;
            end
            if nagyobb==0
            M(l,k)=N;
            end
        end
    end
end

figure;
imagesc(-zMax:zMax, -zMax:zMax, atan(0.1*M));
xlabel('Re(Z)');
ylabel('Im(Z)');
axis xy;
end
