%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%         6.gyakorlat         %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Nemlin. din. rsz-ek alapjai %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%        2014.11.05/06        %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%     Numerikus mdszerek     %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Sierpinsky hromszg
function my_sierpinski
N=1000;
P(1,1)=1;
P(1,2)=1;
P(2,1)=1000;
P(2,2)=1;
P(3,1)=500;
P(3,2)=860;

figure;
title('Sierpinski hromszg');
xlim([0 N])
ylim([0 N])
iternum=1000000;
C=zeros(iternum,2);

% c - aktulis pont - referencia
c = P(floor(rand*3)+1 ,:);
hold on;

for sz=1:iternum

    % minden iterciban 3 s 1 kztti rtket random generlunk
    r =floor(rand*3)+1; 
    
    % referencia pont frisstse:
    % random vlasztott sarok s a jelenlegi pont kztt a tvolsgot felezzk
    % majd ezzel meghatrozzuk az j referncia pontot

    c = [(c(1) + P(r,1)) / 2, (c(2) + P(r,2)) / 2];
    C(sz,:)=c;
    %{
    plot(c(1),c(2),'.', 'MarkerSize', 5);
    xlabel(['Iteration: ', num2str(sz)]);
    pause(0.01)
    %}
end
hold off;

figure;
plot(C(:,1), C(:,2), '.', 'MarkerSize', 1);
title('Sierpinski hromszg');
xlabel(['Iteration: ', num2str(iternum)]);